Loading...
Searching...
No Matches
nodes.hh File Reference
`#include <cassert>`
`#include <memory>`
`#include <vector>`
`#include <array>`
`#include <optional>`
`#include <dune/common/indices.hh>`
`#include <dune/common/tuplevector.hh>`
`#include <dune/common/typelist.hh>`
`#include <dune/common/hybridmultiindex.hh>`
`#include <dune/common/typetree/traversal.hh>`

Go to the source code of this file.

## Classes

class | Dune::Functions::BasisNodeMixin
class | Dune::Functions::LeafBasisNode
class | Dune::Functions::InnerBasisNodeMixin< Node, Element >
class | Dune::Functions::PowerBasisNode< T, n >
class | Dune::Functions::DynamicPowerBasisNode< T >
class | Dune::Functions::CompositeBasisNode< T >
struct | Dune::Functions::CompositeBasisNode< T >::Child< k >

## Namespaces

namespace | Dune
namespace | Dune::Functions

## Functions

template<typename Tree, typename Entity>
void | Dune::Functions::bindTree (Tree &tree, const Entity &entity, std::size_t offset=0)
template<typename Tree>
void | Dune::Functions::initializeTree (Tree &tree, std::size_t treeIndexOffset=0)